@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Padauk:wght@400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Nunito Sans";
}

body {
  background: #c7d6bd;
  height: 100vh;
}

.page-wrapper {
  height: 100%;
  background: #ffffff;
  border-radius: 6px;
  overflow: hidden;
  display: flex;
}

/* LEFT PANEL */
.custumerLoginLeftPanel {
  width: 40%;
  position: relative;
  display: flex;
  overflow: auto;
  flex-direction: column;
}

.custumerLoginFormWrapper {
  position: relative;
  flex: 1;
  padding-top: 40px;
  padding-bottom: 60px;
  display: flex;
  flex-direction: column;
}

.custumerLoginHeader {
    width: 100%;
    height: 100px;
    background-image: url("../Assist/login/loginbg.svg");
    background-color: rgba(255, 0, 0, 0.112);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding: 25px 20px 45px;
    text-align: center;
}

.custumerLoginTitle {
  font-size: 35px;
  color: #a10404;
  font-weight: 700;
}

.custumerLoginLabel.error {
  color: #fa0a0a;
}

.custumerLoginInput.error {
  border-color: #fa0a0a !important;
}

.errorText {
  font-size: 11px;
  color: #fa0a0a;
  margin-top: 4px;
}

.custumerLoginOtpRow {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 4px;
  font-size: 11px;
  width: 100%;
}

.custumerLoginOtpActions {
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 8px;
}

.custumerLoginResend {
  background: none;
  border: none;
  padding: 0;
  font-size: 11px;
  color: #0250d9;
  cursor: pointer;
}

.custumerLoginResend:disabled {
  color: #0250d9;
  cursor: default;
  font-weight: 400;
}

/* Timer text */
.custumerLoginTimer {
  font-size: 11px;
  color: #009605;
}

.custumerLoginForm {
  margin-top: 10px;
  padding: 0 80px;
}

.custumerLoginFormGroup {
  margin-bottom: 18px;
}

.custumerLoginLabel {
  display: block;
  font-size: 14px;
  color: #3f3f3f;
  font-weight: 600;
  margin-bottom: 6px;
}

.custumerLoginInput {
  width: 100%;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid #dee1e6;
  font-size: 14px;
  background-color: #ffffff;
}

.custumerLoginInput:focus {
  outline: none;
  border-color: #a10404;
}

.custumerLoginButton {
  width: 100%;
  margin-top: 10px;
  padding: 10px;
  border-radius: 4px;
  border: none;
  background: #a10404;
  color: #fff;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;
}

.custumerLoginDivider {
  position: relative;
  margin: 40px 80px 18px;

  text-align: center;
  font-size: 16px;
  font-weight: 500;
  color: #3f3f3f;
  padding: 0 60px;
}

.custumerLoginDivider::before,
.custumerLoginDivider::after {
  content: "";
  position: absolute;
  top: 50%;
  width: 42%;
  height: 1px;
  background: #e3e3e3;
}

.custumerLoginDivider::before {
  left: 10px;
}

.custumerLoginDivider::after {
  right: 10px;
}

.custumerLoginSocialButtons {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 0 80px;
}

.custumerLoginSocialButton {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 10px 10px;
  border-radius: 4px;
  border: 1px solid #dee1e6;
  font-size: 13px;
  background: #ffffff;
  cursor: pointer;
}

.custumerLoginSocialIcon {
  width: 18px;
  height: 18px;
}

.custumerLoginSkip {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 10px;
  padding: 10px 20px;
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  color: #3f3f3f;
  cursor: pointer;
}

.custumerLoginSkip:hover {
  text-decoration: underline;
}

.custumerLoginSkip:hover {
  text-decoration: underline;
}

/* RIGHT PANEL */
.custumerLoginRightPanel {
    width: 60%;
    position: relative;
    background-image: url("../Assist/login/loginbackground.svg");
    background-size: cover;
    background-position: center;
}

.custumerLoginRightPanel::before {
  content: "";
  position: absolute;
  inset: 0;
}

.custumerLoginHeroCenter {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 40px;
}

.custumerLoginHeroCard {
  background: #bca4a41a;
  padding: 35px 55px 0;

  max-width: 500px;
  height: 400px;
  width: 100%;
  margin-top: 30px;
  border-radius: 8px;
}

.custumerLoginHeroTitle {
  font-size: 70px;
  line-height: 1.2;
  color: #ffca24;
  font-weight: 700;
  margin-bottom: 18px;
  text-align: center;
}

.custumerLoginHeroSubtitle {
  font-size: 30px;
  line-height: 1.2;
  color: #ffffff;
  font-weight: 700;
  margin-bottom: 28px;
  text-align: center;
}

.custumerLoginHeroTagline {
  font-size: 14px;
  color: #ffffff;
  margin-bottom: 20px;
  font-weight: 600;
  text-align: center;
}

.custumerLoginCTA {
  display: block;
  width: 30rem;
  margin-top: 28px;
  padding: 12px 0;
  text-align: center;
  border: none;
  background: rgba(183, 18, 34, 0.508);
  color: #ffffff;
  font-size: 20px;
  font-weight: 600;
  cursor: pointer;
  border: 1px solid #dbcbcb4f;
  border-radius: 8px;
}

.custumerLoginLeftPanel::-webkit-scrollbar {
  width: 5px;
}

.custumerLoginLeftPanel::-webkit-scrollbar-thumb {
  background: gray;
  border-radius: 10px;
}
@media (max-width:900px) {
  .custumerLoginForm{
    padding: 0px 30px;
  }
  .custumerLoginSocialButtons{
    padding: 0px 30px;
  }
  .custumerLoginDivider{
    margin: 40px 30px 18px;
    padding: 0 30px;
  }
  .custumerLoginCTA{
    width: 100%;
  }
}


@media (max-width: 595px) {
  .page-wrapper {
    flex-direction: column;
    height: 100%;
  } 
  .custumerLoginRightPanel {
    display: none;
  }
  .custumerLoginLeftPanel {
    flex: 1 1 100%;
    width: 100%;
    overflow: auto;
  }
  .custumerLoginForm {
    padding: 0 25px;
  }
  .custumerLoginSocialButtons {
    padding: 0 25px;
  }
  .custumerLoginHeader,
  .custumerLoginSkip {
    text-align: left;
  }
  .custumerLoginDivider {
    margin: 40px 25px 18px;
    padding: 0 25px;
  }

  .custumerLoginDivider::before {
    left: 0px;
  }
  .custumerLoginDivider::after {
    right: 0px;
  }
}
/* tablet view */
@media (min-width: 595px) and (max-width: 745px) {

  /* Wrapper becomes background holder */
    .page-wrapper {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-image: url("../Assist/login/loginbackground.svg");
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        position: relative;
    }

  .custumerLoginRightPanel {
    display: none !important;
  }
  .custumerLoginLeftPanel {
    width: 90%;
    max-width: 480px;
    border-radius: 8px;
    margin: 20px;
    overflow: auto;
    box-shadow: 0 6px 22px rgba(0,0,0,0.18);
    position: relative;
    background-color: white;
  }

  .custumerLoginForm,
  .custumerLoginSocialButtons
  {
    padding: 0 50px;
  }

  .custumerLoginHeader {
    height: 100px;
    padding: 20px;
    background-size: cover;
  }

  .custumerLoginDivider {
    margin: 30px 50px 18px;
    padding: 0;
  }


    .page-wrapper {
    flex-direction: column;
    /* height: auto; */
  }
}
